Description
Therefore, the read() method does nothing (useful) and "gcc -Wextra" reports the following warnings:

c++ —-DHAVE_CONFIG_H -DUSE_NULL_SAFE_OFSTRING —-DDCMTK_BUILD_IN_PROGRESS -DHAVE_STD_STRING —-DHAV
E_STL -DNDEBUG -c -I. -I. -I../include -I../../config/include -I../../ofstd/include -I../../oflo
g/include -I../../dcmdata/include -I../../dcmimgle/include \

-0 -I/usr/include/libxml2 -D_REENTRANT -D_XOPEN_SOURCE_EXTENDED -D_XOPEN_SOURCE=500 -D_BS

D_SOURCE -D_DEFAULT_SOURCE -D_BSD_COMPAT -D_OSF_SOURCE -D_POSIX_C_SOURCE=199506L -Wall -Wextra drt
mas.cc

drtmas.cc:70:13: warning: unused parameter ‘item’ [-Wunused-parameter]

OFCondition DRTModifiedAttributesSequence::Item::read(DcmItem &item)

drtmas.cc:83:13: warning: unused parameter ‘item’ [-Wunused-parameter]

OFCondition DRTModifiedAttributesSequence::Item::write (DcmItem &item)

A

The reason is: The content of the Modified Attributes Sequence in the SOP Common Module is defined in a quite generic way as
"Any Attribute from the main data set that was modified or removed." (see PS3.3 Table C.12-1).

Solution: Enhance the generator script accordingly (e.g. by introducing another "special case" for this and similar sequences).

History

#1 - 2016-12-09 17:07 - J6rg Riesmeier
- % Done changed from 0 to 100

Fixed with commit d6d041b.

#2 - 2016-12-20 13:46 - Jorg Riesmeier

- Status changed from New to Closed
